# module Time::EpochMillisConverter

##
Overview

Converter to be used with `JSON::Serializable` and `YAML::Serializable` to serialize a `Time` instance as the number of milliseconds since the unix epoch. See `Time#to_unix_ms`.

    require "json"

    class Timestamp
      include JSON::Serializable

      @[JSON::Field(converter: Time::EpochMillisConverter)]
      property value : Time
    end

    timestamp = Timestamp.from_json(%({"value": 1459860483856}))
    timestamp.value   # => 2016-04-05 12:48:03.856 UTC
    timestamp.to_json # => %({"value":1459860483856})

##
Defined in:

json/from_json.cr
json/to_json.cr
yaml/from_yaml.cr
yaml/to_yaml.cr

##
Class Method Summary

- .from_json(value : JSON::PullParser) : Time
- .from_yaml(ctx : YAML::ParseContext, node : YAML::Nodes::Node) : Time
- .to_json(value : Time, json : JSON::Builder) : Nil
- .to_yaml(value : Time, yaml : YAML::Nodes::Builder) : Nil

##
Class Method Detail

def self.from_json(value : JSON::PullParser) : Time #
def self.from_yaml(ctx : YAML::ParseContext, node : YAML::Nodes::Node) : Time #
def self.to_json(value : Time, json : JSON::Builder) : Nil #
def self.to_yaml(value : Time, yaml : YAML::Nodes::Builder) : Nil #